
GammaLib - Bug #1133

Deadtime correction has been applied twice for Npred computation of non-point source models in

CTA response

02/05/2014 11:57 PM - Knödlseder Jürgen

Status: Closed Start date: 02/05/2014

Priority: Immediate Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-08-01   

Description

It turned out that in the Npred computation for radial, elliptical and diffuse models, the deadtime correction was applied twice for the

CTA response. First it is applied in GCTAResponse::npred, which computes Npred for a point source. The Npred computation for the

non-point sources all call GCTAResponse::npred, hence by calling this method the deadtime correction is applied.

However, GCTAResponse::npred_radial, GCTAResponse::npred_elliptical and GCTAResponse::npred_diffuse all applied the

deadtime correction on their own, leading to a double application of the deadtime correction. This reduces Npred by the deadtime

correction (typically 5%), resulting in a too large flux.

It is not clear whether there is any link to issue #1131 (as this concerns the binned response computation for which Npred is not

used).

Related issues:

Related to ctools - Bug # 1131: Results of ctmodel and ctobssim are not consi... Rejected 02/04/2014

History

#1 - 02/06/2014 12:09 AM - Knödlseder Jürgen

- Description updated

#2 - 02/06/2014 12:09 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 50

Still want to do a pull distribution to validate that now everything is okay.

#3 - 02/06/2014 11:16 PM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

- % Done changed from 50 to 100

Pull distributions are now okay (will be posted once completed).

#4 - 02/17/2014 10:11 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed
